🚀 New App Builder Engine is Beta! See our changelog for details.
cURL
curl --request GET \ --url https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role/%7BauthorityMatrixRoleId%7D \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{ "id": "<string>", "name": "<string>", "baseId": "<string>", "createdTime": "<string>", "tables": [ { "authorityMatrixRoleId": "<string>", "tableId": "<string>", "createdTime": "<string>", "disabledActions": [ "<string>" ], "enabledViewIds": [ "<string>" ], "fieldRecordPermission": [ { "fieldId": "<string>", "disabledActions": [ "<string>" ] } ], "recordFilter": {}, "enabledTime": "<string>" } ], "description": "<string>", "enabledTime": "<string>", "nodes": [ { "authorityMatrixRoleId": "<string>", "nodeType": "workflow", "nodeId": "<string>", "id": "<string>", "enabledTime": "<string>", "createdTime": "<string>" } ], "users": [ { "id": "<string>", "name": "<string>", "email": "<string>", "avatar": "<string>" } ], "departments": [ { "id": "<string>", "name": "<string>" } ] }
Get authority matrix role
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful response
Show child attributes
Was this page helpful?